Menu icon Foundation
New Zurb Template - Installing dependencies issue

Hi guys, 

Any ideas why Foundation CLI or npm need github authentication to fetch packages from public repository?

Same error appears with command-line tools or manual setup

Anyone else encountered this problem?

Thanxxx

 

 

Versions :
 - Linux 4.4.0-24-generic
 - Foundation CLI version 2.1.0
 - npm version 3.9.5
 - node version 0.12.2

 

Console Logs :

npm ERR! git rev-list -n1 4.0: fatal: ambiguous argument '4.0': unknown revision or path not in the working tree.
npm ERR! git rev-list -n1 4.0: Use '--' to separate paths from revisions, like this:
npm ERR! git rev-list -n1 4.0: 'git <command> [<revision>...] -- [<file>...]'
npm ERR! git rev-list -n1 4.0: 
npm ERR! git rev-list -n1 4.0: fatal: ambiguous argument '4.0': unknown revision or path not in the working tree.
npm ERR! git rev-list -n1 4.0: Use '--' to separate paths from revisions, like this:
npm ERR! git rev-list -n1 4.0: 'git <command> [<revision>...] -- [<file>...]'
npm ERR! git rev-list -n1 4.0: 
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: Clonage dans le dépôt nu '/home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb'
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: Permission denied (publickey).
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: fatal: Could not read from remote repository.
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: 
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: Please make sure you have the correct access rights
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: and the repository exists.
npm ERR! Linux 4.4.0-24-generic
npm ERR! argv "node" "/home/replay/.local/nodejs/bin/npm" "install"
npm ERR! node v0.12.2
npm ERR! npm  v3.9.5
npm ERR! code 128

npm ERR! Command failed: git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb
npm ERR! Clonage dans le dépôt nu '/home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb'
npm ERR! Permission denied (publickey).
npm ERR! fatal: Could not read from remote repository.
npm ERR! 
npm ERR! Please make sure you have the correct access rights
npm ERR! and the repository exists.
npm ERR! 
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR!     /home/replay/Developpement/En Cours/toto/npm-debug.log

F6siteZURB Templatedependencies

Hi guys, 

Any ideas why Foundation CLI or npm need github authentication to fetch packages from public repository?

Same error appears with command-line tools or manual setup

Anyone else encountered this problem?

Thanxxx

 

 

Versions :
 - Linux 4.4.0-24-generic
 - Foundation CLI version 2.1.0
 - npm version 3.9.5
 - node version 0.12.2

 

Console Logs :

npm ERR! git rev-list -n1 4.0: fatal: ambiguous argument '4.0': unknown revision or path not in the working tree.
npm ERR! git rev-list -n1 4.0: Use '--' to separate paths from revisions, like this:
npm ERR! git rev-list -n1 4.0: 'git <command> [<revision>...] -- [<file>...]'
npm ERR! git rev-list -n1 4.0: 
npm ERR! git rev-list -n1 4.0: fatal: ambiguous argument '4.0': unknown revision or path not in the working tree.
npm ERR! git rev-list -n1 4.0: Use '--' to separate paths from revisions, like this:
npm ERR! git rev-list -n1 4.0: 'git <command> [<revision>...] -- [<file>...]'
npm ERR! git rev-list -n1 4.0: 
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: Clonage dans le dépôt nu '/home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb'
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: Permission denied (publickey).
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: fatal: Could not read from remote repository.
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: 
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: Please make sure you have the correct access rights
npm ERR! git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb: and the repository exists.
npm ERR! Linux 4.4.0-24-generic
npm ERR! argv "node" "/home/replay/.local/nodejs/bin/npm" "install"
npm ERR! node v0.12.2
npm ERR! npm  v3.9.5
npm ERR! code 128

npm ERR! Command failed: git clone --template=/home/replay/.npm/_git-remotes/_templates --mirror git@github.com:gulpjs/gulp-cli.git /home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb
npm ERR! Clonage dans le dépôt nu '/home/replay/.npm/_git-remotes/git-github-com-gulpjs-gulp-cli-git-4-0-799725fb'
npm ERR! Permission denied (publickey).
npm ERR! fatal: Could not read from remote repository.
npm ERR! 
npm ERR! Please make sure you have the correct access rights
npm ERR! and the repository exists.
npm ERR! 
npm ERR! 
npm ERR! If you need help, you may report this error at:
npm ERR!     <https://github.com/npm/npm/issues>

npm ERR! Please include the following file with any support request:
npm ERR!     /home/replay/Developpement/En Cours/toto/npm-debug.log
James Willans about 3 years ago

ambiguous argument '4.0': unknown revision or path not in the working tree.

This error is due to the 4.0 branch being deleted in gulpjs/gulp-cli

https://github.com/gulpjs/gulp-cli/issues/83

The following workaround sorted out the problem for me

http://foundation.zurb.com/forum/posts/44375-error-creating-web-app-with--handlebar